ConfigureVarSys()
{
		
	CreateInteger("end.count",0);
	SetIntegerRange("end.count", 0,1);
	
	CreateString("images.models", "cvscout00.xsi");
}

CreateControl("EMAIL1", "STATIC")
{

	Geom("HCENTRE", "VCENTRE");


	Size(960, 720);


	BorderSize(0);
	BevelSize(0);


	TabSize(0, 0);

	Style("OUTLINE", "INERT");

	Title("Orders");

	TitleFont("MEDIUM");

	CreateControl("Image1", "Static")
	{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(960, 720);
		Pos(0, 0);
		Image("07iface.bmp",  0, 0, 512, 340);
	}
	

		CreateControl("List1", "LISTBOX")
	{
		Style("INERT", "NOSELECTION", "VSLIDER");
		Geometry("LEFT", "TOP");
		Position(23, 45);
		Size(465, 525);
		ColorGroup("LISTBOX");
		CellSize(465, 15);
		SliderPadding(10);
		Font("MEDIUM");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		FillFromFile("07text.txt");

	}

}

CreateControl("EMAIL2", "STATIC")
{

	Geom("HCENTRE", "VCENTRE");


	Size(960, 720);


	BorderSize(0);
	BevelSize(0);


	TabSize(0, 0);

	Style("OUTLINE", "INERT");

	Title("Orders");

	TitleFont("MEDIUM");

	CreateControl("Image2", "Static")
	{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(960, 720);
		Pos(0, 0);
		Image("07iface.bmp",  0, 0, 512, 340);
	}
	
		CreateControl("List2", "LISTBOX")
	{
		Style("INERT", "NOSELECTION", "VSLIDER");
		Geometry("LEFT", "TOP");
		Position(23, 45);
		Size(465, 525);
		ColorGroup("LISTBOX");
		CellSize(465, 15);
		SliderPadding(10);
		Font("MEDIUM");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		FillFromFile("07text.txt");

	}

	CreateControl("ViewList2", "LISTBOX")
	{
		Geom("Top", "LEFT");
		Size(150, 45);
		Pos(555, 53);
		UseVar("images.models");

		CellSize(300, 15);
		BorderSize(8);
		BevelSize(5);
		Font("SMALL");
		Cursor("Highlight");
		ColorGroup("LISTBOX");

		AddTextItem("cvscout00.xsi", "Scout Class");
		AddTextItem("cvspider00.xsi", "Tank Class");
		AddTextItem("cvrbomb00.xsi", "Bomber Class");
	}


	CreateControl("XSIView2", "VIEWER")
	{
		Geom("TOP", "LEFT");
		Position(555, 150);
		Size(375, 375);
		BorderSize(8);
		BevelSize(5);
		ColorGroup("LISTBOX");

		UseVar("images.models");


		SetAmbientColor(1.0, 1.0, 1.0);
		SetDiffuseColor(1.0, 1.0, 1.0);
		SetDiffuseDir(2.0, -5.0, 1.0);
		SetModelDistance(300.0);
		SetModelInclination(0.0);
		SetModelRotation(60.0);
	}

}



CreateControl("EMAIL3", "STATIC")
{

	Geom("HCENTRE", "VCENTRE");


	Size(960, 720);


	BorderSize(0);
	BevelSize(0);


	TabSize(0, 0);

	Style("OUTLINE", "INERT");

	Title("Orders");

	TitleFont("MEDIUM");

	CreateControl("Image1", "Static")
	{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(960, 720);
		Pos(0, 0);
		Image("07iface.bmp",  0, 0, 512, 340);
	}
	
		CreateControl("Send", "BUTTON")
	{
		Pos(675, 570);
		Size(150, 15);
		BorderSize(2);
		BevelSize(2);
		Font("Small");
		Text("Send");
		Style("ROLLOVER", "RADIO", "OUTLINE");
		UseVar("end.count");
		Value(1);
		NotifyParent("Button::Select", "Send");
	}



		CreateControl("List", "LISTBOX")
	{
		Style("INERT", "NOSELECTION", "VSLIDER");
		Geometry("LEFT", "TOP");
		Position(23, 45);
		Size(465, 525);
		ColorGroup("LISTBOX");
		CellSize(465, 15);
		SliderPadding(10);
		Font("MEDIUM");
		ItemConfig()
		{
			Style("TRANSPARENT");
		}
		FillFromFile("07text.txt");

	}


CreateControl("ViewList2", "LISTBOX")
	{
		Geom("Top", "LEFT");
		Size(150, 45);
		Pos(555, 53);
		UseVar("images.models");

		CellSize(300, 15);
		BorderSize(8);
		BevelSize(5);
		Font("SMALL");
		Cursor("Highlight");
		ColorGroup("LISTBOX");

		AddTextItem("cvscout00.xsi", "Scout Class");
		AddTextItem("cvspider00.xsi", "Tank Class");
		AddTextItem("cvrbomb00.xsi", "Bomber Class");
	}


	CreateControl("XSIView2", "VIEWER")
	{
		Geom("TOP", "LEFT");
		Position(555, 150);
		Size(375, 375);
		BorderSize(8);
		BevelSize(5);
		ColorGroup("LISTBOX");

		UseVar("images.models");


		SetAmbientColor(1.0, 1.0, 1.0);
		SetDiffuseColor(1.0, 1.0, 1.0);
		SetDiffuseDir(2.0, -5.0, 1.0);
		SetModelDistance(300.0);
		SetModelInclination(0.0);
		SetModelRotation(60.0);
	}



	}

	OnEvent("Send")
	{
		
		Cmd("end.count 1");
		
	OnEvent("Control::Activate")
	{
		Cmd("end.count 0");
	}

		OnEvent("Control::Deactivate")
	{
		

	}
}
	
CreateControl("Rauschen", "STATIC")
{

	
	Geom("HCENTRE", "VCENTRE");

	Size(960, 720);


	BorderSize(2);
	BevelSize(2);
	
	TabSize(0, 0);
	ColorGroup("BACKGROUND");
	Style("OUTLINE", "INERT");

}
CreateControl("Bar", "STATIC")
{

	POS(15, 23);


	Size(300, 53);


	BorderSize(3);
	BevelSize(3);
	
	TabSize(150, 15);
	ColorGroup("BLACKBLUE");
	Style("OUTLINE", "INERT");
	
	Title("Decoding");

	TitleFont("MEDIUM");

}

CreateControl("Blueprint", "STATIC")
{

	POS(15, 23);


	Size(300, 53);


	BorderSize(3);
	BevelSize(3);
	
	TabSize(150, 15);
	ColorGroup("BLACKBLUE");
	Style("OUTLINE", "INERT");
	
	Title("Blueprints");

	TitleFont("MEDIUM");

}

CreateControl("Bar1", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(15, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 10, 512);
}

CreateControl("Bar2", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(75, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 25, 512);
}

CreateControl("Bar3", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(120, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 40, 512);
}

CreateControl("Bar4", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(165, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 55, 512);
}

CreateControl("Bar5", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(210, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 70, 512);
}

CreateControl("Bar6", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(255, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 85, 512);
}

CreateControl("Bar7", "Static")
{
		ColorGroup("WHITE");
		Geom("Top", "Left");
		Size(285, 18);
		Pos(23, 45);
		Image("07iface.bmp",  0, 500, 100, 512);
}





}
